/*
 *  $Id: opfree.c,v 1.3 1994/04/04 21:37:55 doss Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */

#ifndef lint
static char vcid[] = "$Id: opfree.c,v 1.3 1994/04/04 21:37:55 doss Exp $";
#endif /* lint */

#include <mpi.h>
#include "mpisys.h"
#include "coll.h"

/*@
  MPI_Op_free - Free a user-defined combination function handle

Input Parameters:
. op - operation (handle) 
@*/
int MPI_Op_free( op )
MPI_Op  *op;
{
  FREE( (*op) );
  (*op) = MPI_OP_NULL;
  return (MPI_SUCCESS);
}
