/*
 *  $Id$
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */

#ifndef lint
static char vcid[] = "$Id$";
#endif /* lint */

#include <mpi.h>

/*
  MPI_GET_PROCESSOR_NAME - Gets the name of the processor for Fortran

Input Parameter:
. len - Length (in characters) of the space in name 

Output Parameter:
. name - A unique specifier for the actual (as opposed to virtual) node. 

*/
int mpi_get_processor_name_( name, len, ierr )
int len, *ierr;
char *name;
{
MPID_NODE_NAME( name, len );
*ierr = MPI_SUCCESS;
}
