/*
 *  $Id: startall.c,v 1.2 1994/03/30 22:58:47 gropp Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */

#ifndef lint
static char vcid[] = "$Id: startall.c,v 1.2 1994/03/30 22:58:47 gropp Exp $";
#endif /* lint */

#include "mpi.h"
#include "mpisys.h"

/*@
  MPI_Startall - Start a collection of requests 

Input Parameters:
. count - list length (integer) 
. array_of_requests - array of requests (array of handle) 
@*/
int MPI_Startall( count, array_of_requests )
int count;
MPI_Request array_of_requests[];
{
int i;
int err;
for (i=0; i<count; i++)
    if (err = MPI_Start( array_of_requests + i )) return err;

return MPI_SUCCESS;
}
