      subroutine MPIR_init_fdtes( MPIR_int_dte, MPIR_float_dte,
     $     MPIR_double_dte, MPIR_complex_dte, MPIR_dcomplex_dte,
     $     MPIR_logical_dte,
     $     MPIR_char_dte, MPIR_byte_dte )
      integer MPIR_int_dte, MPIR_float_dte,
     $     MPIR_double_dte, MPIR_complex_dte, MPIR_dcomplex_dte,
     $     MPIR_logical_dte, MPIR_char_dte, MPIR_byte_dte
      include "../../include/mpif.h"
      MPI_INTEGER          = MPIR_int_dte
      MPI_REAL             = MPIR_float_dte
      MPI_DOUBLE_PRECISION = MPIR_double_dte
      MPI_COMPLEX          = MPIR_complex_dte
      MPI_DOUBLE_COMPLEX   = MPIR_double_complex_dte
      MPI_LOGICAL          = MPIR_logical_dte
      MPI_CHARACTER        = MPIR_char_dte
      MPI_BYTE             = MPIR_byte_dte
      return
      end
      subroutine MPIR_init_fcm( world, self, groupempty )
      integer world, self, groupempty
      include "../../include/mpif.h"
      MPI_COMM_WORLD  = world
      MPI_COMM_SELF   = self
      MPI_GROUP_EMPTY = groupempty
      return
      end
      subroutine MPIR_init_fop( maxf, minf, sumf, prodf, landf, bandf,
     $                          lorf, borf, lxorf, bxorf, maxlocf, 
     $                          minlocf )
      integer maxf, minf, sumf, prodf, landf, bandf,
     $        lorf, borf, lxorf, bxorf, maxlocf, 
     $        minlocf
      include "../../include/mpif.h"
C
      MPI_MAX    = maxf
      MPI_MIN    = minf
      MPI_SUM    = sumf
      MPI_PROD   = prodf
      MPI_LAND   = landf
      MPI_BAND   = bandf
      MPI_LOR    = lorf
      MPI_BOR    = borf
      MPI_LXOR   = lxorf
      MPI_BXOF   = bxorf
      MPI_MAXLOC = maxlocf
      MPI_MINLOC = minlocf
C
      return
      end
