/*
 *  $Id: address.c,v 1.5 1994/04/01 23:32:52 gropp Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */

#include "mpi.h"
#include "mpisys.h"

/*@
    MPI_Address - Get the address of a location in memory  

Input Parameters:
. location - location in caller memory (choice) 
Output Parameter:
. address - address of location (integer) 

    Note:
    This routine is provided primarily for the Fortran programmer.
@*/
int MPI_Address( location, address)
void     *location;
MPI_Aint *address;
{
    *address = (int) location - MPI_BOTTOM;
    return MPI_SUCCESS;
}
